TestObjectForJSONFormatter (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.pdx

## Class TestObjectForJSONFormatter

- java.lang.Object
- - org.apache.geode.pdx.TestObjectForJSONFormatter

- All Implemented Interfaces:
    PdxSerializable

      public class TestObjectForJSONFormatter
      extends java.lang.Object
      implements PdxSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestObjectForJSONFormatter()`
    `TestObjectForJSONFormatter(boolean p_bool, byte p_byte, short p_short, int p_int, long p_long, float p_float, double p_double, java.lang.Boolean w_bool, java.lang.Byte w_byte, java.lang.Short w_short, java.lang.Integer w_int, java.lang.Long w_long, java.math.BigInteger w_bigInt, java.lang.Float w_float, java.math.BigDecimal w_bigDec, java.lang.Double w_double, java.lang.String w_string)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `addClassTypeToJson(java.lang.String json)`
    `void` | `defaultInitialization()`
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `fromData(PdxReader in)` Deserializes the PDX fields using the given reader.
    `java.util.Deque<java.lang.Integer>` | `getC_deque()`
    `java.lang.String` | `getC_dequeFN()`
    `java.util.List<java.lang.String>` | `getC_list()`
    `java.lang.String` | `getC_listFN()`
    `java.util.Queue<java.lang.String>` | `getC_queue()`
    `java.lang.String` | `getC_queueFN()`
    `java.util.Set<java.lang.Object>` | `getC_set()`
    `java.lang.String` | `getC_setFN()`
    `java.util.Stack<java.lang.String>` | `getC_stack()`
    `java.lang.String` | `getC_stackFN()`
    `org.apache.geode.pdx.Day` | `getDay()`
    `java.lang.String` | `getDayFN()`
    `Employee` | `getEmployee()`
    `java.util.Map<java.lang.String,java.util.List<Employee>>` | `getM_empByCity()`
    `java.lang.String` | `getM_empByCityFN()`
    `boolean[]` | `getP_boolArray()`
    `java.lang.String` | `getP_boolArrayFN()`
    `java.lang.String` | `getP_boolFN()`
    `byte` | `getP_byte()`
    `byte[]` | `getP_byteArray()`
    `java.lang.String` | `getP_byteArrayFN()`
    `java.lang.String` | `getP_byteFN()`
    `double` | `getP_double()`
    `double[]` | `getP_doubleArray()`
    `java.lang.String` | `getP_doubleArrayFN()`
    `java.lang.String` | `getP_doubleFN()`
    `float` | `getP_float()`
    `float[]` | `getP_floatArray()`
    `java.lang.String` | `getP_floatArrayFN()`
    `java.lang.String` | `getP_floatFn()`
    `int` | `getP_int()`
    `int[]` | `getP_intArray()`
    `java.lang.String` | `getP_intArrayFN()`
    `java.lang.String` | `getP_intFN()`
    `long` | `getP_long()`
    `long[]` | `getP_longArray()`
    `java.lang.String` | `getP_longArrayFN()`
    `java.lang.String` | `getP_longFN()`
    `short` | `getP_short()`
    `short[]` | `getP_shortArray()`
    `java.lang.String` | `getP_shortArrayFN()`
    `java.lang.String` | `getP_shortFN()`
    `java.math.BigDecimal` | `getW_bigDec()`
    `java.math.BigDecimal[]` | `getW_bigDecArray()`
    `java.lang.String` | `getW_bigDecArrayFN()`
    `java.lang.String` | `getW_bigDecFN()`
    `java.math.BigInteger` | `getW_bigInt()`
    `java.math.BigInteger[]` | `getW_bigIntArray()`
    `java.lang.String` | `getW_bigIntArrayFN()`
    `java.lang.String` | `getW_bigIntFN()`
    `java.lang.Boolean` | `getW_bool()`
    `java.lang.Boolean[]` | `getW_boolArray()`
    `java.lang.String` | `getW_boolArrayFN()`
    `java.lang.String` | `getW_boolFN()`
    `java.lang.Byte` | `getW_byte()`
    `java.lang.Byte[]` | `getW_byteArray()`
    `java.lang.String` | `getW_byteArrayFN()`
    `java.lang.String` | `getW_byteFN()`
    `java.lang.Double` | `getW_double()`
    `java.lang.Double[]` | `getW_doubleArray()`
    `java.lang.String` | `getW_doubleArrayFN()`
    `java.lang.String` | `getW_doubleFN()`
    `java.lang.Float` | `getW_float()`
    `java.lang.Float[]` | `getW_floatArray()`
    `java.lang.String` | `getW_floatArrayFN()`
    `java.lang.String` | `getW_floatFN()`
    `java.lang.Integer` | `getW_int()`
    `java.lang.Integer[]` | `getW_intArray()`
    `java.lang.String` | `getW_intArrayFN()`
    `java.lang.String` | `getW_intFN()`
    `java.lang.Long` | `getW_long()`
    `java.lang.Long[]` | `getW_longArray()`
    `java.lang.String` | `getW_longArrayFN()`
    `java.lang.String` | `getW_longFN()`
    `java.lang.Short` | `getW_short()`
    `java.lang.Short[]` | `getW_shortArray()`
    `java.lang.String` | `getW_shortArrayFN()`
    `java.lang.String` | `getW_shortFN()`
    `java.lang.String[]` | `getW_strArray()`
    `java.lang.String` | `getW_strArrayFN()`
    `java.lang.String` | `getW_string()`
    `java.lang.String` | `getW_stringFN()`
    `boolean` | `isP_bool()`
    `void` | `setC_deque(java.util.Deque<java.lang.Integer> c_deque)`
    `void` | `setC_list(java.util.List<java.lang.String> c_list)`
    `void` | `setC_queue(java.util.Queue<java.lang.String> c_queue)`
    `void` | `setC_set(java.util.Set<java.lang.Object> c_set)`
    `void` | `setC_stack(java.util.Stack<java.lang.String> c_stack)`
    `void` | `setDay(org.apache.geode.pdx.Day day)`
    `void` | `setEmployee(Employee employee)`
    `void` | `setM_empByCity(java.util.Map<java.lang.String,java.util.List<Employee>> m_empByCity)`
    `void` | `setP_bool(boolean p_bool)`
    `void` | `setP_boolArray(boolean[] p_boolArray)`
    `void` | `setP_byte(byte p_byte)`
    `void` | `setP_byteArray(byte[] p_byteArray)`
    `void` | `setP_double(double p_double)`
    `void` | `setP_doubleArray(double[] p_doubleArray)`
    `void` | `setP_float(float p_float)`
    `void` | `setP_floatArray(float[] p_floatArray)`
    `void` | `setP_int(int p_int)`
    `void` | `setP_intArray(int[] p_intArray)`
    `void` | `setP_long(long p_long)`
    `void` | `setP_longArray(long[] p_longArray)`
    `void` | `setP_short(short p_short)`
    `void` | `setP_shortArray(short[] p_shortArray)`
    `void` | `setW_bigDec(java.math.BigDecimal w_bigDec)`
    `void` | `setW_bigDecArray(java.math.BigDecimal[] w_bigDecArray)`
    `void` | `setW_bigInt(java.math.BigInteger w_bigInt)`
    `void` | `setW_bigIntArray(java.math.BigInteger[] w_bigIntArray)`
    `void` | `setW_bool(java.lang.Boolean w_bool)`
    `void` | `setW_boolArray(java.lang.Boolean[] w_boolArray)`
    `void` | `setW_byte(java.lang.Byte w_byte)`
    `void` | `setW_byteArray(java.lang.Byte[] w_byteArray)`
    `void` | `setW_double(java.lang.Double w_double)`
    `void` | `setW_doubleArray(java.lang.Double[] w_doubleArray)`
    `void` | `setW_float(java.lang.Float w_float)`
    `void` | `setW_floatArray(java.lang.Float[] w_floatArray)`
    `void` | `setW_int(java.lang.Integer w_int)`
    `void` | `setW_intArray(java.lang.Integer[] w_intArray)`
    `void` | `setW_long(java.lang.Long w_long)`
    `void` | `setW_longArray(java.lang.Long[] w_longArray)`
    `void` | `setW_short(java.lang.Short w_short)`
    `void` | `setW_shortArray(java.lang.Short[] w_shortArray)`
    `void` | `setW_strArray(java.lang.String[] w_strArray)`
    `void` | `setW_string(java.lang.String w_string)`
    `void` | `toData(PdxWriter out)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestObjectForJSONFormatter

          public TestObjectForJSONFormatter()

    - #### TestObjectForJSONFormatter

          public TestObjectForJSONFormatter(boolean p_bool,
                                            byte p_byte,
                                            short p_short,
                                            int p_int,
                                            long p_long,
                                            float p_float,
                                            double p_double,
                                            java.lang.Boolean w_bool,
                                            java.lang.Byte w_byte,
                                            java.lang.Short w_short,
                                            java.lang.Integer w_int,
                                            java.lang.Long w_long,
                                            java.math.BigInteger w_bigInt,
                                            java.lang.Float w_float,
                                            java.math.BigDecimal w_bigDec,
                                            java.lang.Double w_double,
                                            java.lang.String w_string)

  - ### Method Detail

    - #### addClassTypeToJson

          public java.lang.String addClassTypeToJson(java.lang.String json)
                                              throws org.json.JSONException

      Throws:
        `org.json.JSONException`

    - #### defaultInitialization

          public void defaultInitialization()

    - #### getEmployee

          public Employee getEmployee()

    - #### setEmployee

          public void setEmployee(Employee employee)

    - #### getC_list

          public java.util.List<java.lang.String> getC_list()

    - #### setC_list

          public void setC_list(java.util.List<java.lang.String> c_list)

    - #### getC_set

          public java.util.Set<java.lang.Object> getC_set()

    - #### setC_set

          public void setC_set(java.util.Set<java.lang.Object> c_set)

    - #### getC_queue

          public java.util.Queue<java.lang.String> getC_queue()

    - #### setC_queue

          public void setC_queue(java.util.Queue<java.lang.String> c_queue)

    - #### getC_deque

          public java.util.Deque<java.lang.Integer> getC_deque()

    - #### setC_deque

          public void setC_deque(java.util.Deque<java.lang.Integer> c_deque)

    - #### getM_empByCity

          public java.util.Map<java.lang.String,java.util.List<Employee>> getM_empByCity()

    - #### setM_empByCity

          public void setM_empByCity(java.util.Map<java.lang.String,java.util.List<Employee>> m_empByCity)

    - #### getDay

          public org.apache.geode.pdx.Day getDay()

    - #### setDay

          public void setDay(org.apache.geode.pdx.Day day)

    - #### isP_bool

          public boolean isP_bool()

    - #### setP_bool

          public void setP_bool(boolean p_bool)

    - #### getP_byte

          public byte getP_byte()

    - #### setP_byte

          public void setP_byte(byte p_byte)

    - #### getP_short

          public short getP_short()

    - #### setP_short

          public void setP_short(short p_short)

    - #### getP_int

          public int getP_int()

    - #### setP_int

          public void setP_int(int p_int)

    - #### getP_long

          public long getP_long()

    - #### setP_long

          public void setP_long(long p_long)

    - #### getP_float

          public float getP_float()

    - #### setP_float

          public void setP_float(float p_float)

    - #### getP_double

          public double getP_double()

    - #### setP_double

          public void setP_double(double p_double)

    - #### getW_bool

          public java.lang.Boolean getW_bool()

    - #### setW_bool

          public void setW_bool(java.lang.Boolean w_bool)

    - #### getW_byte

          public java.lang.Byte getW_byte()

    - #### setW_byte

          public void setW_byte(java.lang.Byte w_byte)

    - #### getW_short

          public java.lang.Short getW_short()

    - #### setW_short

          public void setW_short(java.lang.Short w_short)

    - #### getW_int

          public java.lang.Integer getW_int()

    - #### setW_int

          public void setW_int(java.lang.Integer w_int)

    - #### getW_long

          public java.lang.Long getW_long()

    - #### setW_long

          public void setW_long(java.lang.Long w_long)

    - #### getW_bigInt

          public java.math.BigInteger getW_bigInt()

    - #### setW_bigInt

          public void setW_bigInt(java.math.BigInteger w_bigInt)

    - #### getW_float

          public java.lang.Float getW_float()

    - #### setW_float

          public void setW_float(java.lang.Float w_float)

    - #### getW_bigDec

          public java.math.BigDecimal getW_bigDec()

    - #### setW_bigDec

          public void setW_bigDec(java.math.BigDecimal w_bigDec)

    - #### getW_double

          public java.lang.Double getW_double()

    - #### setW_double

          public void setW_double(java.lang.Double w_double)

    - #### getW_string

          public java.lang.String getW_string()

    - #### setW_string

          public void setW_string(java.lang.String w_string)

    - #### getP_boolArray

          public boolean[] getP_boolArray()

    - #### setP_boolArray

          public void setP_boolArray(boolean[] p_boolArray)

    - #### getP_byteArray

          public byte[] getP_byteArray()

    - #### setP_byteArray

          public void setP_byteArray(byte[] p_byteArray)

    - #### getP_shortArray

          public short[] getP_shortArray()

    - #### setP_shortArray

          public void setP_shortArray(short[] p_shortArray)

    - #### getP_intArray

          public int[] getP_intArray()

    - #### setP_intArray

          public void setP_intArray(int[] p_intArray)

    - #### getP_longArray

          public long[] getP_longArray()

    - #### setP_longArray

          public void setP_longArray(long[] p_longArray)

    - #### getP_floatArray

          public float[] getP_floatArray()

    - #### setP_floatArray

          public void setP_floatArray(float[] p_floatArray)

    - #### getP_doubleArray

          public double[] getP_doubleArray()

    - #### setP_doubleArray

          public void setP_doubleArray(double[] p_doubleArray)

    - #### getW_boolArray

          public java.lang.Boolean[] getW_boolArray()

    - #### setW_boolArray

          public void setW_boolArray(java.lang.Boolean[] w_boolArray)

    - #### getW_byteArray

          public java.lang.Byte[] getW_byteArray()

    - #### setW_byteArray

          public void setW_byteArray(java.lang.Byte[] w_byteArray)

    - #### getW_shortArray

          public java.lang.Short[] getW_shortArray()

    - #### setW_shortArray

          public void setW_shortArray(java.lang.Short[] w_shortArray)

    - #### getW_intArray

          public java.lang.Integer[] getW_intArray()

    - #### setW_intArray

          public void setW_intArray(java.lang.Integer[] w_intArray)

    - #### getW_longArray

          public java.lang.Long[] getW_longArray()

    - #### setW_longArray

          public void setW_longArray(java.lang.Long[] w_longArray)

    - #### getW_bigIntArray

          public java.math.BigInteger[] getW_bigIntArray()

    - #### setW_bigIntArray

          public void setW_bigIntArray(java.math.BigInteger[] w_bigIntArray)

    - #### getW_floatArray

          public java.lang.Float[] getW_floatArray()

    - #### setW_floatArray

          public void setW_floatArray(java.lang.Float[] w_floatArray)

    - #### getW_bigDecArray

          public java.math.BigDecimal[] getW_bigDecArray()

    - #### setW_bigDecArray

          public void setW_bigDecArray(java.math.BigDecimal[] w_bigDecArray)

    - #### getW_doubleArray

          public java.lang.Double[] getW_doubleArray()

    - #### setW_doubleArray

          public void setW_doubleArray(java.lang.Double[] w_doubleArray)

    - #### getW_strArray

          public java.lang.String[] getW_strArray()

    - #### setW_strArray

          public void setW_strArray(java.lang.String[] w_strArray)

    - #### getC_stack

          public java.util.Stack<java.lang.String> getC_stack()

    - #### setC_stack

          public void setC_stack(java.util.Stack<java.lang.String> c_stack)

    - #### getP_boolFN

          public java.lang.String getP_boolFN()

    - #### getP_byteFN

          public java.lang.String getP_byteFN()

    - #### getP_shortFN

          public java.lang.String getP_shortFN()

    - #### getP_intFN

          public java.lang.String getP_intFN()

    - #### getP_longFN

          public java.lang.String getP_longFN()

    - #### getP_floatFn

          public java.lang.String getP_floatFn()

    - #### getP_doubleFN

          public java.lang.String getP_doubleFN()

    - #### getW_boolFN

          public java.lang.String getW_boolFN()

    - #### getW_byteFN

          public java.lang.String getW_byteFN()

    - #### getW_shortFN

          public java.lang.String getW_shortFN()

    - #### getW_intFN

          public java.lang.String getW_intFN()

    - #### getW_longFN

          public java.lang.String getW_longFN()

    - #### getW_bigIntFN

          public java.lang.String getW_bigIntFN()

    - #### getW_floatFN

          public java.lang.String getW_floatFN()

    - #### getW_bigDecFN

          public java.lang.String getW_bigDecFN()

    - #### getW_doubleFN

          public java.lang.String getW_doubleFN()

    - #### getW_stringFN

          public java.lang.String getW_stringFN()

    - #### getP_boolArrayFN

          public java.lang.String getP_boolArrayFN()

    - #### getP_byteArrayFN

          public java.lang.String getP_byteArrayFN()

    - #### getP_shortArrayFN

          public java.lang.String getP_shortArrayFN()

    - #### getP_intArrayFN

          public java.lang.String getP_intArrayFN()

    - #### getP_longArrayFN

          public java.lang.String getP_longArrayFN()

    - #### getP_floatArrayFN

          public java.lang.String getP_floatArrayFN()

    - #### getP_doubleArrayFN

          public java.lang.String getP_doubleArrayFN()

    - #### getW_boolArrayFN

          public java.lang.String getW_boolArrayFN()

    - #### getW_byteArrayFN

          public java.lang.String getW_byteArrayFN()

    - #### getW_shortArrayFN

          public java.lang.String getW_shortArrayFN()

    - #### getW_intArrayFN

          public java.lang.String getW_intArrayFN()

    - #### getW_longArrayFN

          public java.lang.String getW_longArrayFN()

    - #### getW_bigIntArrayFN

          public java.lang.String getW_bigIntArrayFN()

    - #### getW_floatArrayFN

          public java.lang.String getW_floatArrayFN()

    - #### getW_bigDecArrayFN

          public java.lang.String getW_bigDecArrayFN()

    - #### getW_doubleArrayFN

          public java.lang.String getW_doubleArrayFN()

    - #### getW_strArrayFN

          public java.lang.String getW_strArrayFN()

    - #### getC_listFN

          public java.lang.String getC_listFN()

    - #### getC_setFN

          public java.lang.String getC_setFN()

    - #### getC_queueFN

          public java.lang.String getC_queueFN()

    - #### getC_dequeFN

          public java.lang.String getC_dequeFN()

    - #### getC_stackFN

          public java.lang.String getC_stackFN()

    - #### getM_empByCityFN

          public java.lang.String getM_empByCityFN()

    - #### getDayFN

          public java.lang.String getDayFN()

    - #### fromData

          public void fromData(PdxReader in)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `in` - the `PdxReader` to use to read the PDX fields.

    - #### toData

          public void toData(PdxWriter out)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `out` - the `PdxWriter` to use to write the PDX fields.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`